Bug 394713 - plasma-discover crashes on startup when no flatpak directory found
Summary: plasma-discover crashes on startup when no flatpak directory found
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Flatpak Backend (show other bugs)
Version: 5.12.5
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-26 15:12 UTC by Łukasz Żarnowiecki
Modified: 2018-06-28 15:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Łukasz Żarnowiecki 2018-05-26 15:12:40 UTC
Hi,

I don't have flatpak directory in /var, since I am always using --user option.  Because of that plasma-discover crashes on startup.

Starting program: /usr/bin/plasma-discover
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7fffe5210700 (LWP 2276)]
[New Thread 0x7fffdc0bf700 (LWP 2277)]
[New Thread 0x7fffdaeae700 (LWP 2278)]
[New Thread 0x7fffc76a6700 (LWP 2279)]
[New Thread 0x7fffc6c93700 (LWP 2280)]
[New Thread 0x7fffc6492700 (LWP 2281)]
[New Thread 0x7fffc5c91700 (LWP 2282)]
[New Thread 0x7fffc5490700 (LWP 2283)]
[New Thread 0x7fffc4c8f700 (LWP 2284)]
[New Thread 0x7fffaffff700 (LWP 2285)]
[New Thread 0x7fffaf7fe700 (LWP 2286)]
[Thread 0x7fffaf7fe700 (LWP 2286) exited]
[New Thread 0x7fffaf7fe700 (LWP 2287)]
[New Thread 0x7fffaeffd700 (LWP 2288)]
[Thread 0x7fffaeffd700 (LWP 2288) exited]
[New Thread 0x7fffaeffd700 (LWP 2289)]
[New Thread 0x7fff98dc5700 (LWP 2290)]
[New Thread 0x7fff931d1700 (LWP 2291)]
[New Thread 0x7fff929d0700 (LWP 2292)]
[New Thread 0x7fff918fa700 (LWP 2294)]
[New Thread 0x7fff910f9700 (LWP 2296)]
[New Thread 0x7fff835ef700 (LWP 2297)]
[New Thread 0x7fff82dee700 (LWP 2298)]
[New Thread 0x7fff81dec700 (LWP 2300)]
[New Thread 0x7fff825ed700 (LWP 2299)]
[New Thread 0x7fff80dea700 (LWP 2301)]
[New Thread 0x7fff815eb700 (LWP 2302)]
[New Thread 0x7fff6ffff700 (LWP 2303)]
[New Thread 0x7fff6ea50700 (LWP 2304)]
[New Thread 0x7fff6e24f700 (LWP 2307)]
[New Thread 0x7fff6da4e700 (LWP 2308)]
[New Thread 0x7fff6d24d700 (LWP 2309)]
[New Thread 0x7fff6ca4c700 (LWP 2310)]
[Thread 0x7fff815eb700 (LWP 2302) exited]
[Thread 0x7fff6ffff700 (LWP 2303) exited]
[Thread 0x7fff6ea50700 (LWP 2304) exited]
[Thread 0x7fff82dee700 (LWP 2298) exited]

Failed to get list of installed refs for listing updates:  Creating repo: mkdirat: Permission denied

Thread 1 "plasma-discover" received signal SIGSEGV, Segmentation fault.
0x00007fffad5f83db in FlatpakBackend::onFetchUpdatesFinished (this=0x555555ebd830, flatpakInstallation=0x5555558dfcd0, updates=0x0)
    at /home/dlh/pkg/packages/discover/trunk/src/discover-5.12.5.1/libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:758
758	    for (uint i = 0; i < fetchedUpdates->len; i++) {

Thread 32 (Thread 0x7fff6ca4c700 (LWP 2310)):
#0  0x00007ffff35140f9 in syscall () at /usr/lib/libc.so.6
#1  0x00007fffeda0252d in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed98d903 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007fffed9e4436 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fffed9e3a2a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 31 (Thread 0x7fff6d24d700 (LWP 2309)):
#0  0x00007ffff35140f9 in syscall () at /usr/lib/libc.so.6
#1  0x00007fffeda0252d in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed98d903 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007fffed9e4436 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fffed9e3a2a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 30 (Thread 0x7fff6da4e700 (LWP 2308)):
#0  0x00007ffff35140f9 in syscall () at /usr/lib/libc.so.6
#1  0x00007fffeda0252d in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed98d903 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007fffed9e4436 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fffed9e3a2a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 29 (Thread 0x7fff6e24f700 (LWP 2307)):
#0  0x00007ffff35140f9 in syscall () at /usr/lib/libc.so.6
#1  0x00007fffeda0252d in g_cond_wait_until () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed98d903 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007fffed9e4436 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fffed9e3a2a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 25 (Thread 0x7fff80dea700 (LWP 2301)):
#0  0x00007fffefbfd3f6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff3c2a22d in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ffff3c21c54 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#4  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 24 (Thread 0x7fff825ed700 (LWP 2299)):
#0  0x00007ffff350eea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fffed9bb523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed9bb63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007fffed9bb692 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fffed9e3a2a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 23 (Thread 0x7fff81dec700 (LWP 2300)):
#0  0x00007fffefbfd3f6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff3c2a22d in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ffff3c21c54 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#4  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 21 (Thread 0x7fff835ef700 (LWP 2297)):
#0  0x00007fffefbfd3f6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff3c2a22d in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ffff3c21c54 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#4  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7fff910f9700 (LWP 2296)):
#0  0x00007fffefbfcffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd1170d84 in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007fffd1170a78 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 19 (Thread 0x7fff918fa700 (LWP 2294)):
#0  0x00007ffff350eea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fffed9bb523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed9bb63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff3e2ae49 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ffff3dd685c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ffff3c1fac9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#7  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 18 (Thread 0x7fff929d0700 (LWP 2292)):
#0  0x00007fffefbfd3f6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff3c2a22d in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ffff3c21c54 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#4  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 17 (Thread 0x7fff931d1700 (LWP 2291)):
#0  0x00007ffff350eea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fffed9bb523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed9bb63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff3e2ae49 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ffff3dd685c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ffff3c1fac9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#7  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 16 (Thread 0x7fff98dc5700 (LWP 2290)):
#0  0x00007fffefbfd3f6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007ffff3c2a22d in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007ffff3c21c54 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#4  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 15 (Thread 0x7fffaeffd700 (LWP 2289)):
#0  0x00007ffff350eea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fffed9bb523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed9bb63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff3e2ae49 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ffff3dd685c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ffff3c1fac9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#7  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7fffaf7fe700 (LWP 2287)):
#0  0x00007ffff350eea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fffed9bb523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed9bb63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff3e2ae49 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ffff3dd685c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ffff3c1fac9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007ffff702627b in  () at /usr/lib/libQt5Quick.so.5
#7  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7fffaffff700 (LWP 2285)):
#0  0x00007fffefbfcffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd1170d84 in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007fffd1170a78 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7fffc4c8f700 (LWP 2284)):
#0  0x00007fffefbfcffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd1170d84 in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007fffd1170a78 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7fffc5490700 (LWP 2283)):
#0  0x00007fffefbfcffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd1170d84 in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007fffd1170a78 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7fffc5c91700 (LWP 2282)):
#0  0x00007fffefbfcffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd1170d84 in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007fffd1170a78 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fffc6492700 (LWP 2281)):
#0  0x00007fffefbfcffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd1170d84 in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007fffd1170a78 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fffc6c93700 (LWP 2280)):
#0  0x00007fffefbfcffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd1170d84 in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007fffd1170a78 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffc76a6700 (LWP 2279)):
#0  0x00007fffefbfcffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fffd1170d84 in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007fffd1170a78 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fffdaeae700 (LWP 2278)):
#0  0x00007ffff350eea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fffed9bb523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed9bb63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff3e2ae49 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ffff3dd685c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ffff3c1fac9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007ffff47af559 in  () at /usr/lib/libQt5Qml.so.5
#7  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fffdc0bf700 (LWP 2277)):
#0  0x00007ffff350eea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fffed9bb523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fffed9bb63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007ffff3e2ae49 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007ffff3dd685c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007ffff3c1fac9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007ffff5afe976 in  () at /usr/lib/libQt5DBus.so.5
#7  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffe5210700 (LWP 2276)):
#0  0x00007ffff350eea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fffed752180 in  () at /usr/lib/libxcb.so.1
#2  0x00007fffed753e4b in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007fffe7fbef1a in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007ffff3c29b95 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007fffefbf7075 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007ffff351953f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7ffff7fa2800 (LWP 2267)):
#0  0x00007fffad5f83db in FlatpakBackend::onFetchUpdatesFinished(_FlatpakInstallation*, _GPtrArray*) (this=0x555555ebd830, flatpakInstallation=0x5555558dfcd0, updates=0x0)
    at /home/dlh/pkg/packages/discover/trunk/src/discover-5.12.5.1/libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:758
        i = 0
        fetchedUpdates = 0x0
#1  0x00007fffad5f84f9 in FlatpakBackend::<lambda()>::operator() (__closure=0x5555575ccbc0)
    at /home/dlh/pkg/packages/discover/trunk/src/discover-5.12.5.1/libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp:749
        refs = <optimized out>
        fw = 0x5555575bebe0
        installation = 0x5555558dfcd0
        this = 0x555555ebd830
#2  0x00007fffad5f84f9 in QtPrivate::FunctorCall<QtPrivate::IndexesList<>, QtPrivate::List<>, void, FlatpakBackend::loadRemoteUpdates(FlatpakInstallation*)::<lambda()> >::call (arg=<optimized out>, f=...) at /usr/include/qt/QtCore/qobjectdefs_impl.h:130
#3  0x00007fffad5f84f9 in QtPrivate::Functor<FlatpakBackend::loadRemoteUpdates(FlatpakInstallation*)::<lambda()>, 0>::call<QtPrivate::List<>, void> (arg=<optimized out>, f=...) at /usr/include/qt/QtCore/qobjectdefs_impl.h:240
#4  0x00007fffad5f84f9 in QtPrivate::QFunctorSlotObject<FlatpakBackend::loadRemoteUpdates(FlatpakInstallation*)::<lambda()>, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=0x5555575ccbb0, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/qt/QtCore/qobjectdefs_impl.h:423
#5  0x00007ffff3e01b60 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#6  0x00007ffff3c27bc5 in QFutureWatcherBase::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#7  0x00007ffff53e0984 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#8  0x00007ffff53e825b in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#9  0x00007ffff3dd7bc9 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#10 0x00007ffff3ddac5c in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#11 0x00007ffff3e2b864 in  () at /usr/lib/libQt5Core.so.5
#12 0x00007fffed9bb368 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#13 0x00007fffed9bb5b1 in  () at /usr/lib/libglib-2.0.so.0
#14 0x00007fffed9bb63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#15 0x00007ffff3e2ae49 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#16 0x00007fffe8053b32 in  () at /usr/lib/libQt5XcbQpa.so.5
#17 0x00007ffff3dd685c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#18 0x00007ffff3ddeb56 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#19 0x0000555555565d13 in main(int, char**) (argc=<optimized out>, argv=<optimized out>)
    at /home/dlh/pkg/packages/discover/trunk/src/discover-5.12.5.1/discover/main.cpp:156
        app = <incomplete type>
        about = {d = 0x5555558c0e00}
        mainWindow = <optimized out>
Comment 1 Aleix Pol 2018-06-28 15:16:16 UTC
Git commit 99c67ded1cf1f86ddd8f13a96a93c9168e351029 by Aleix Pol.
Committed on 28/06/2018 at 15:16.
Pushed by apol into branch 'Plasma/5.12'.

flatpak: don't crash if we get null updates

M  +5    -0    libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp

https://commits.kde.org/discover/99c67ded1cf1f86ddd8f13a96a93c9168e351029